dc9-hotfix-3-steam-edition-coolsky

Any fans of the DC-9 Classic and FSX: Steam Edition out there? If so, this is your lucky day! A hotfix to make the DC-9 Classic compatible with FSX: Steam Edition has now been released.

Please note that this hotfix only makes the DC-9 Classic compatible with FSX: Steam Edition. This hotfix does not contain any upgrades or fixes beyond making the product compatible with FSX:SE. If you do not fly your DC-9 Classic in FSX: Steam Edition, then you don't need this update.

You can read more about and download the DC-9 Classic Service Pack 1 Hotfix 3 Steam Edition from the Development section of the support forum.

Support Forum